# JavaLibraryDistributionPlugin

abstract class JavaLibraryDistributionPlugin : Plugin<T>

A Plugin which package a Java project as a distribution including the JAR and runtime dependencies.

#### See also

<a href="https://docs.gradle.org/current/userguide/java_library_distribution_plugin.html">Java Library Distribution plugin reference</a>

## Constructors

JavaLibraryDistributionPlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)